net.posprinter.utils

## Enum PosPrinterDev.PortType

- java.lang.Object
- - java.lang.Enum<PosPrinterDev.PortType>
  - - net.posprinter.utils.PosPrinterDev.PortType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PosPrinterDev.PortType>
  Enclosing class:
    PosPrinterDev

      public static enum PosPrinterDev.PortType
      extends java.lang.Enum<PosPrinterDev.PortType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Bluetooth`
    `Ethernet`
    `Unknown`
    `USB`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PosPrinterDev.PortType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PosPrinterDev.PortType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Unknown

          public static final PosPrinterDev.PortType Unknown

    - #### USB

          public static final PosPrinterDev.PortType USB

    - #### Bluetooth

          public static final PosPrinterDev.PortType Bluetooth

    - #### Ethernet

          public static final PosPrinterDev.PortType Ethernet

  - ### Method Detail

    - #### values

          public static PosPrinterDev.PortType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PosPrinterDev.PortType c : PosPrinterDev.PortType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PosPrinterDev.PortType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null